Skip to main content
GET
/
clients
/
{clientId}
/
bank-accounts
List bank accounts for a client
curl --request GET \
  --url https://api.artu.ai/clients/{clientId}/bank-accounts \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Environment: <api-key>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "accountNumber": "<string>",
      "bankName": "<string>",
      "country": "<unknown>",
      "currency": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "bankCode": "<string>",
      "type": "checking",
      "isPrimary": true,
      "isActive": true,
      "label": "<string>",
      "externalId": "<string>",
      "metadata": {},
      "clabe": "<unknown>",
      "codigoBanco": "<string>",
      "codigoPlaza": "<string>"
    }
  ],
  "pagination": {
    "hasMore": true,
    "nextCursor": "<string>",
    "totalCount": 0
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Path Parameters

clientId
string<uuid>
required

Query Parameters

cursor
string
limit
number
Required range: 1 <= x <= 200

Response

200 - application/json

OK

data
object[]
required
pagination
object
required